Page MenuHomePhabricator

Some events not validating for MobileWikiAppSavedPages schema
Closed, ResolvedPublic

Description

EventLogging is reveiving events for the schema MobileWikiAppSavedPages that do not validate because the required field appInstallID is missing.

Check the required field here:
https://meta.wikimedia.org/wiki/Schema:MobileWikiAppSavedPages

Examples follow:

eventlogging_processor-client-side-events.log.1.gz:2015-03-01 22:40:01,813 (MainThread) Unable to decode: ?%7B%22schema%22%3A%22MobileWikiAppSavedPages%22%2C%22revision%22%3A10375480%2C%22event%22%3A%7B%22action%22%3A%22savenew%22%7D%2C%22wiki%22%3A%22dewiki%22%7D;       cp3021.esams.wikimedia.org
      72571809        2015-03-01T22:40:01     91.198.174.91   WikipediaApp/4.0.6 (iPhone OS 8.1.3; Tablet)

Decoded string: {"schema":"MobileWikiAppSavedPages","revision":10375480,"event":{"action":"savenew"},"wiki":"dewiki"}

eventlogging_processor-client-side-events.log.1.gz:2015-03-01 22:40:10,681 (MainThread) Unable to decode: ?%7B%22schema%22%3A%22MobileWikiAppSavedPages%22%2C%22revision%22%3A10375480%2C%22event%22%3A%7B%22action%22%3A%22savenew%22%7D%2C%22wiki%22%3A%22frwiki%22%7D;       cp3021.esams.wikimedia.org
      72572029        2015-03-01T22:40:10     91.198.174.91   WikipediaApp/4.0.6 (iPhone OS 7.1.2; Phone)

Decoded string: {"schema":"MobileWikiAppSavedPages","revision":10375480,"event":{"action":"savenew"},"wiki":"frwiki"}

eventlogging_processor-client-side-events.log.1.gz:2015-03-01 22:40:23,425 (MainThread) Unable to decode: ?%7B%22revision%22%3A10375480%2C%22event%22%3A%7B%22action%22%3A%22savenew%22%7D%2C%22schema%22%3A%22MobileWikiAppSavedPages%22%2C%22wiki%22%3A%22enwiki%22%7D;       cp3022.esams.wikimedia.org
      74690040        2015-03-01T22:40:23     91.198.174.92   WikipediaApp/4.0.6 (iPhone OS 8.1.3; Tablet)

Decoded string: {"revision":10375480,"event":{"action":"savenew"},"schema":"MobileWikiAppSavedPages","wiki":"enwiki"}

Event Timeline

mforns created this task.Mar 2 2015, 7:29 PM
mforns raised the priority of this task from to Needs Triage.
mforns updated the task description. (Show Details)
mforns added a project: Analytics-EventLogging.
mforns added a subscriber: mforns.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2015, 7:29 PM
Deskana triaged this task as High priority.Mar 2 2015, 7:36 PM
Deskana set Security to None.
Nuria raised the priority of this task from High to Needs Triage.Mar 2 2015, 7:36 PM
Nuria removed a project: Mobile App Sprint 52 - iOS.
Nuria added subscribers: Deskana, despens.
Deskana assigned this task to dr0ptp4kt.Mar 2 2015, 7:36 PM
Deskana triaged this task as High priority.

We somehow broke our implementation of this schema on iOS. There's no preprocessData method implemented for that schema, which causes the install ID to not be routed to the event when it's sent. @dr0ptp4kt is fixing it now.

despens removed a subscriber: despens.Mar 2 2015, 9:10 PM
Nuria added a subscriber: Nuria.Mar 3 2015, 5:47 PM

Most common UAs with errors in 1 day period:

114 WikipediaApp/4.0.6 (iPhone OS 8.0; Phone)

 135 WikipediaApp/4.0.6 (iPhone OS 8.1.1; Tablet)
 136 WikipediaApp/4.0.6 (iPhone OS 7.1; Phone)
 146 WikipediaApp/4.0.6 (iPhone OS 8.0.2; Phone)
 168 WikipediaApp/2.0-r-2015-01-15 (Android 4.3; Phone) Google Play
 171 WikipediaApp/2.0-r-2015-01-15 (Android 4.2.2; Tablet) Google Play
 176 WikipediaApp/4.0.6 (iPhone OS 8.1.1; Phone)
 178 WikipediaApp/2.0-r-2015-01-15 (Android 4.4.2; Tablet) Google Play
 264 WikipediaApp/4.0.6 (iPhone OS 7.1.1; Phone)
 272 WikipediaApp/2.0-r-2015-01-15 (Android 4.4.4; Phone) Google Play
 279 WikipediaApp/4.0.6 (iPhone OS 7.1.2; Tablet)
 284 WikipediaApp/2.0-r-2015-01-15 (Android 4.1.2; Phone) Google Play
 340 WikipediaApp/2.0-r-2015-01-15 (Android 4.2.2; Phone) Google Play
 372 WikipediaApp/4.0.6 (iPhone OS 8.1; Phone)
 391 WikipediaApp/4.0.6 (iPhone OS 8.1.2; Tablet)
 453 WikipediaApp/4.0.6 (iPhone OS 8.1; Tablet)
 530 WikipediaApp/4.0.6 (iPhone OS 6.1.6; Phone)
 750 WikipediaApp/2.0-r-2015-01-15 (Android 4.4.2; Phone) Google Play
1253 WikipediaApp/4.0.6 (iPhone OS 8.1.2; Phone)
1855 WikipediaApp/4.0.6 (iPhone OS 7.1.2; Phone)
2435 WikipediaApp/4.0.6 (iPhone OS 8.1.3; Tablet)
5704 WikipediaApp/4.0.6 (iPhone OS 8.1.3; Phone)

@Nuria Do the numbers to the left of the user agents here represent the frequency?

Nuria added a comment.Mar 16 2015, 7:30 PM

Talked to Adam and changes here are done, scheduled to be released on march 30th.

Nuria moved this task from In Code Review to Ready to Deploy on the Analytics-Kanban board.
Nuria closed this task as Resolved.Apr 9 2015, 2:11 PM